# $Revision: 1.6 $, $Date: 2009/03/24 13:47:00 $
%include	/usr/lib/rpm/macros.perl
Summary:	Nagios plugin to check SIP server/device
Summary(pl.UTF-8):	Wtyczka Nagiosa do sprawdzania urządzeń i serwerów SIP
Name:		nagios-plugin-check_sip
Version:	1.2
Release:	2
License:	GPL
Group:		Networking
Source0:	http://www.bashton.com/downloads/nagios-check_sip-%{version}.tar.gz
# Source0-md5:	c3e232899189550c93bfd1a98ff7a763
URL:		http://www.bashton.com/content/nagiosplugins
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	nagios-core
Requires:	nagios-plugins-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir	%{_libdir}/nagios/plugins
%define		_sysconfdir	/etc/nagios/plugins

%define		_noautoreq 'perl(utils)'

%description
This plugin will test a SIP server/device for availability and
response time.

%description -l pl.UTF-8
Wtyczka Nagios-a testująca dostępność i czas odpowiedzi z urządzeń i
serwerów SIP.

%prep
%setup -q -n nagios-check_sip-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_plugindir}}

sed -e 's,@plugindir@,%{_plugindir},' check_sip > $RPM_BUILD_ROOT%{_plugindir}/check_sip
chmod +x $RPM_BUILD_ROOT%{_plugindir}/check_sip

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%attr(755,root,root) %{_plugindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugin-check_sip.spec,v $
Revision 1.6  2009/03/24 13:47:00  glen
- R: nagios-plugins-libs for utils.pm; rel 2

Revision 1.5  2008/06/08 12:40:21  arekm
- up to 1.2

Revision 1.4  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.2  2006/05/30 06:28:52  glen
- latin2 encoding for -pl

Revision 1.1  2006/05/30 00:44:59  wolvverine
- init
